Open SCAP Library: cve_entry Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
cve_entry Struct Reference
CVE

Structure holding CVE entry data. More...

`#include <cve_priv.h>`

## Public Member Functions
struct cve_entry * | cve_entry_new (void)
| New CVE entry. More...
struct cve_entry * | cve_entry_clone (struct cve_entry *old_entry)
| Clone CVE entry. More...
void | cve_entry_free (struct cve_entry *entry)
| Free CVE entry. More...
void | cwe_entry_free (struct cwe_entry *entry)
| Free CVE entry. More...
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
struct cve_entry_iterator * | cve_model_get_entries (const struct cve_model *cve_model)
| Get en iterator to CVE entries. More...
const char * | cve_entry_get_id (const struct cve_entry *item)
| Get CVE entry ID. More...
const char * | cve_entry_get_cwe (const struct cve_entry *item)
| Get CVE entry CWE. More...
struct cve_summary_iterator * | cve_entry_get_summaries (const struct cve_entry *item)
| Get CVE entry summary. More...
struct cve_reference_iterator * | cve_entry_get_references (const struct cve_entry *item)
| Get an iterator to CVE entry's references. More...
const char * | cwe_entry_get_value (const struct cwe_entry *entry)
| Get CVE entry value. More...
const char * | cve_entry_get_published (const struct cve_entry *entry)
| Get CVE entry published date. More...
const char * | cve_entry_get_modified (const struct cve_entry *entry)
| Get CVE entry modified. More...
const char * | cve_entry_get_sec_protection (const struct cve_entry *entry)
| Get CVE entry protection. More...
struct cve_product_iterator * | cve_entry_get_products (const struct cve_entry *entry)
| Get CVE entry products. More...
struct cve_configuration_iterator * | cve_entry_get_configurations (const struct cve_entry *entry)
| Get CVE . More...
const struct cvss_impact * | cve_entry_get_cvss (const struct cve_entry *item)
| Get CVSS structure from CVE. More...
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | cve_entry_add_product (struct cve_entry *entry, struct cve_product *new_product)
bool | cve_entry_add_reference (struct cve_entry *entry, struct cve_reference *new_reference)
bool | cve_entry_add_summary (struct cve_entry *entry, struct cve_summary *new_summary)
bool | cve_entry_add_configuration (struct cve_entry *entry, struct cve_configuration *new_configuration)
bool | cve_entry_set_id (struct cve_entry *entry, const char *new_id)
| Set id of CVE entry. More...
bool | cve_entry_set_published (struct cve_entry *entry, const char *new_published)
| Set publish date of CVE entry. More...
bool | cve_entry_set_modified (struct cve_entry *entry, const char *new_modified)
| Set modified date of CVE entry. More...
bool | cve_entry_set_sec_protection (struct cve_entry *entry, const char *new_protection)
| Set protection of CVE entry. More...
bool | cve_entry_set_cwe (struct cve_entry *entry, const char *cwe)
| Set cwe of CVE entry. More...
bool | cwe_entry_set_value (struct cwe_entry *entry, const char *new_value)
| Set value of CVE entry. More...

## Data Fields
char * | id
char * | cve_id
struct oscap_list * | products
char * | published
char * | modified
struct cvss_impact * | cvss
char * | sec_protection
char * | cwe
struct oscap_list * | summaries
struct oscap_list * | references
struct oscap_list * | configurations

## Detailed Description

Structure holding CVE entry data.

The documentation for this struct was generated from the following files:

- cve_priv.c
- cve_nvd.h